org.jboss.jca.core.connectionmanager

## Interface TxConnectionManager

- All Superinterfaces:
    org.jboss.jca.core.api.connectionmanager.listener.ConnectionCacheListener, javax.resource.spi.ConnectionManager, org.jboss.jca.core.spi.graceful.GracefulShutdown, javax.resource.spi.LazyAssociatableConnectionManager, javax.resource.spi.LazyEnlistableConnectionManager, java.io.Serializable, org.jboss.jca.core.spi.transaction.TransactionTimeoutConfiguration
  All Known Implementing Classes:
    TxConnectionManagerImpl

      public interface TxConnectionManager
      extends ConnectionManager, org.jboss.jca.core.spi.transaction.TransactionTimeoutConfiguration

  Internal connection manager contract for transactional contexts.

  - Responsible for managing transaction operations via `TransactionTimeoutConfiguration`
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getIsSameRMOverride()` Get the IsSameRMOverride status
    `boolean` | `getPadXid()` Get the PadXid status
    `boolean` | `getWrapXAResource()` Get the wrap XAResource status
    `int` | `getXAResourceTimeout()` Get the XA resource transaction time out in seconds
    `boolean` | `isAllowMarkedForRollback()` Is allow marked for rollback enabled
    `boolean` | `isInterleaving()` Get the interleaving status
    `boolean` | `isLocalTransactions()` Get the local transaction status

    - ### Methods inherited from interface org.jboss.jca.core.connectionmanager.ConnectionManager

      `createConnectionListener, getAllocationRetry, getAllocationRetryWaitMillis, getCachedConnectionManager, getJndiName, getPool, getSecurityDomain, getSubjectFactory, getTransactionIntegration, isEnlistment, isSharable, isTransactional, setJndiName, unregisterAssociation`

    - ### Methods inherited from interface org.jboss.jca.core.api.connectionmanager.ConnectionManager

      `associateManagedConnection, dissociateManagedConnection, returnManagedConnection`

    - ### Methods inherited from interface javax.resource.spi.ConnectionManager

      `allocateConnection`

    - ### Methods inherited from interface javax.resource.spi.LazyAssociatableConnectionManager

      `associateConnection, inactiveConnectionClosed`

    - ### Methods inherited from interface javax.resource.spi.LazyEnlistableConnectionManager

      `lazyEnlist`

    - ### Methods inherited from interface org.jboss.jca.core.connectionmanager.listener.ConnectionCacheListener

      `transactionStarted`

    - ### Methods inherited from interface org.jboss.jca.core.spi.graceful.GracefulShutdown

      `cancelShutdown, getDelay, isShutdown, prepareShutdown, prepareShutdown, prepareShutdown, prepareShutdown, shutdown`

    - ### Methods inherited from interface org.jboss.jca.core.spi.transaction.TransactionTimeoutConfiguration

      `getTimeLeftBeforeTransactionTimeout, getTransactionTimeout`

- - ### Method Detail

    - #### isInterleaving

          boolean isInterleaving()

      Get the interleaving status
      Returns:
        True if interleaving; otherwise false

    - #### isLocalTransactions

          boolean isLocalTransactions()

      Get the local transaction status
      Returns:
        True if local transactions; false if XA

    - #### getXAResourceTimeout

          int getXAResourceTimeout()

      Get the XA resource transaction time out in seconds
      Returns:
        The value

    - #### getIsSameRMOverride

          java.lang.Boolean getIsSameRMOverride()

      Get the IsSameRMOverride status
      Returns:
        `null` if no override; else true or false

    - #### getWrapXAResource

          boolean getWrapXAResource()

      Get the wrap XAResource status
      Returns:
        True if XAResource instances are wrapped; otherwise false

    - #### getPadXid

          boolean getPadXid()

      Get the PadXid status
      Returns:
        True if Xids are padded; otherwise false

    - #### isAllowMarkedForRollback

          boolean isAllowMarkedForRollback()

      Is allow marked for rollback enabled
      Returns:
        `True` if set, otherwise `false`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)